Get one artifact
curl --request GET \
--url https://anythingmd.com/api/v1/artifacts/{artifactId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://anythingmd.com/api/v1/artifacts/{artifactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://anythingmd.com/api/v1/artifacts/{artifactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://anythingmd.com/api/v1/artifacts/{artifactId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"jobId": "<string>",
"kind": "markdown",
"contentType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"sizeBytes": 4503599627370495,
"downloadUrl": "<string>",
"text": "<string>",
"contentHash": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Artifacts
Get one artifact
Returns an artifact’s metadata and either its inline text (small Markdown files) or a downloadUrl.
GET
/
api
/
v1
/
artifacts
/
{artifactId}
Get one artifact
curl --request GET \
--url https://anythingmd.com/api/v1/artifacts/{artifactId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://anythingmd.com/api/v1/artifacts/{artifactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://anythingmd.com/api/v1/artifacts/{artifactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://anythingmd.com/api/v1/artifacts/{artifactId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"jobId": "<string>",
"kind": "markdown",
"contentType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"sizeBytes": 4503599627370495,
"downloadUrl": "<string>",
"text": "<string>",
"contentHash": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Create a key under Settings → API Keys and send it as Authorization: Bearer amd_live_…. See https://docs.anythingmd.com/authentication.
Path Parameters
Id of a job output artifact
Minimum string length:
1Response
Artifact metadata / content hints
Id of a job output artifact
Minimum string length:
1Id of an async job
Minimum string length:
1Available options:
markdown, image, zip, metadata MIME type, e.g. text/markdown or image/png
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Suggested download file name
Required range:
0 <= x <= 9007199254740991Time-limited URL to download the artifact bytes
Inline text content when kind is markdown/metadata and small enough
SHA-256 of artifact bytes as sha256:. Omitted when bytes were not available to hash (e.g. external zip URL).
When artifact metadata/bytes may be deleted (aligned with job retention)
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$